### Method

# Gtk PrintOperationget_n_pages_to_print

#### Declaration [src]

    int
    gtk_print_operation_get_n_pages_to_print (
      GtkPrintOperation* op
    )

#### Description [src]

Returns the number of pages that will be printed.

Note that this value is set during print preparation phase (`GTK_PRINT_STATUS_PREPARING`), so this function should never be called before the data generation phase (`GTK_PRINT_STATUS_GENERATING_DATA`). You can connect to the `GtkPrintOperation::status-changed` signal and call `gtk_print_operation_get_n_pages_to_print()` when print status is `GTK_PRINT_STATUS_GENERATING_DATA`.

This is typically used to track the progress of print operation.

Gets property | `Gtk.PrintOperation:n-pages-to-print`

#### Return value

Type: `int`

The number of pages that will be printed.